org.richfaces.fragment.messages

## Class RichFacesMessages.AdvancedMessagesInteractionsImpl

- java.lang.Object
- - org.richfaces.fragment.messages.RichFacesMessages.AdvancedMessagesInteractionsImpl

- All Implemented Interfaces:
    Messages.AdvancedMessagesInteractions
  Enclosing class:
    RichFacesMessages

      public class RichFacesMessages.AdvancedMessagesInteractionsImpl
      extends Object
      implements Messages.AdvancedMessagesInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesMessages.AdvancedMessagesInteractionsImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RichFacesMessages.MessageImpl>` | `getErrorMessages()`
    `List<RichFacesMessages.MessageImpl>` | `getFatalMessages()`
    `List<RichFacesMessages.MessageImpl>` | `getInfoMessages()`
    `List<RichFacesMessages.MessageImpl>` | `getOkMessages()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `List<RichFacesMessages.MessageImpl>` | `getWarnMessages()`
    `boolean` | `isVisible()`
    `WaitingWrapper` | `waitUntilMessagesAreNotVisible()`
    `WaitingWrapper` | `waitUntilMessagesAreVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesMessages.AdvancedMessagesInteractionsImpl

          public RichFacesMessages.AdvancedMessagesInteractionsImpl()

  - ### Method Detail

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `Messages.AdvancedMessagesInteractions`

    - #### waitUntilMessagesAreNotVisible

          public WaitingWrapper waitUntilMessagesAreNotVisible()

      Specified by:
        `waitUntilMessagesAreNotVisible` in interface `Messages.AdvancedMessagesInteractions`

    - #### waitUntilMessagesAreVisible

          public WaitingWrapper waitUntilMessagesAreVisible()

      Specified by:
        `waitUntilMessagesAreVisible` in interface `Messages.AdvancedMessagesInteractions`

    - #### getErrorMessages

          public List<RichFacesMessages.MessageImpl> getErrorMessages()

    - #### getFatalMessages

          public List<RichFacesMessages.MessageImpl> getFatalMessages()

    - #### getInfoMessages

          public List<RichFacesMessages.MessageImpl> getInfoMessages()

    - #### getOkMessages

          public List<RichFacesMessages.MessageImpl> getOkMessages()

    - #### getWarnMessages

          public List<RichFacesMessages.MessageImpl> getWarnMessages()

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.